# Asset Tag Update

PUT /easm/asset-tags/{tag_id}: Renames a tag on every asset that has it. tag_id is the current tag name; tag (3–100 characters) is the new name.

Source: https://docs.deepinfo.com/reference/easm/asset-tag-update/

Last updated: 2026-09-27

---
`PUT https://api.deepinfo.com/v1/easm/asset-tags/{tag_id}`

Renames a tag on every asset that has it. `tag_id` is the current **tag name**; `tag` (3–100 characters) is the new name.

## Authentication

Send your API key in the `apikey` request header.

## Path Parameters

| Parameter | Required | Description | Example |
|---|---|---|---|
| `tag_id` | Required |  | `acme-tag` |

## Request Body

| Parameter | Type | Required | Description |
|---|---|---|---|
| `tag` | string | Required | min length `3`; max length `100` |

```json
{
  "tag": "production"
}
```

## Examples

### 200 · OK

```bash
curl -X PUT 'https://api.deepinfo.com/v1/easm/asset-tags/acme-tag' \
  -H 'apikey: YOUR_API_KEY' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "tag": "production"
}'
```

`Content-Type: application/json` · `deepinfo-request-id: 00000000-0000-4000-8000-0000356d0001`

### 400 · Not Found (nonexistent tag_id)

```bash
curl -X PUT 'https://api.deepinfo.com/v1/easm/asset-tags/ffffffffffffffffffffffff' \
  -H 'apikey: YOUR_API_KEY' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{}'
```

`Content-Type: application/json` · `deepinfo-request-id: 00000000-0000-4000-8000-0000356d0001`

```json
{
  "code": 10400,
  "parameters": [
    {
      "param": "tag",
      "details": [
        "This field is required."
      ]
    }
  ],
  "solution": "https://docs.deepinfo.com/reference/"
}
```
